import type { DefaultError, InfiniteData, QueryClient, QueryKey } from '@tanstack/query-core';
import type { CreateInfiniteQueryOptions, CreateInfiniteQueryResult } from './types';
export declare function createInfiniteQuery<TQueryFnData, TError = DefaultError, TData = InfiniteData<TQueryFnData>, TQueryKey extends QueryKey = QueryKey, TPageParam = unknown>(options: CreateInfiniteQueryOptions<TQueryFnData, TError, TData, TQueryFnData, TQueryKey, TPageParam>, queryClient?: QueryClient): CreateInfiniteQueryResult<TData, TError>;
//# sourceMappingURL=createInfiniteQuery.d.ts.map