export * from '@tanstack/query-core';
export * from './types';
export * from './context';
export { createQuery } from './createQuery';
export type { DefinedInitialDataOptions, UndefinedInitialDataOptions, } from './queryOptions';
export { queryOptions } from './queryOptions';
export { createQueries } from './createQueries';
export { createInfiniteQuery } from './createInfiniteQuery';
export { infiniteQueryOptions } from './infiniteQueryOptions';
export { createMutation } from './createMutation.svelte';
export { useQueryClient } from './useQueryClient';
export { default as HydrationBoundary } from './HydrationBoundary.svelte';
export { default as QueryClientProvider } from './QueryClientProvider.svelte';
//# sourceMappingURL=index.d.ts.map